Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.jdom
Interface IDOMPackage

All Superinterfaces:
  Cloneable, IDOMNode

Deprecated. The JDOM was made obsolete by the addition in 2.0 of the more powerful, fine-grained DOM/AST API found in the org.eclipse.jdt.core.dom package.

public interface IDOMPackage
extends IDOMNode

Represents a package declaration. The corresponding syntactic unit is PackageDeclaration (JLS2 7.4). A Package has no children, and its parent is a compilation unit.

This interface is not intended to be implemented by clients.

Field Summary

Fields inherited from interface org.eclipse.jdt.core.jdom.IDOMNode
`COMPILATION_UNIT, FIELD, IMPORT, INITIALIZER, METHOD, PACKAGE, TYPE`

Method Summary
`String` | `getName()` Deprecated. The `IDOMPackage` refinement of this `IDOMNode` method returns the name of this package declaration, or `null` if it has none.
`void` | `setName(String name)` Deprecated. The `IDOMPackage` refinement of this `IDOMNode` method sets the name of this package declaration.

Methods inherited from interface org.eclipse.jdt.core.jdom.IDOMNode
`addChild, canHaveChildren, clone, getCharacters, getChild, getChildren, getContents, getFirstChild, getJavaElement, getNextNode, getNodeType, getParent, getPreviousNode, insertSibling, isAllowableChild, isSignatureEqual, remove`

Method Detail

### getName

    public String getName()

  Deprecated.
  The `IDOMPackage` refinement of this `IDOMNode` method returns the name of this package declaration, or `null` if it has none. The syntax for a package name corresponds to PackageName as defined by PackageDeclaration (JLS2 7.4).

  Specified by:
    `getName` in interface `IDOMNode`
  Returns:
    the name of this package declaration, or `null` if it has none

### setName

    public void setName(String name)

  Deprecated.
  The `IDOMPackage` refinement of this `IDOMNode` method sets the name of this package declaration. The syntax for a package name corresponds to PackageName as defined by PackageDeclaration (JLS2 7.4). A `null` name indicates an empty package declaration; that is, `getContents` returns the empty string.

  Specified by:
    `setName` in interface `IDOMNode`
  Parameters:
    `name` - the given name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.